%define upstream_name    Sys-Syslog
%define upstream_version 0.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Provides same functionality as BSD syslog
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(POSIX)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
'Sys::Syslog' is an interface to the UNIX 'syslog(3)' program. Call
'syslog()' with a string priority and a list of 'printf()' args just like
'syslog(3)'.

You can find a kind of FAQ in the "THE RULES OF SYS::SYSLOG" manpage.
Please read it before coding, and again before asking questions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.330.0-2.mga4
+ Revision: 526282
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.330.0-1.mga4
+ Revision: 436458
- update to 0.33

* Wed May 29 2013 jquelin <jquelin> 0.320.0-6.mga4
+ Revision: 432306
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.320.0-5.mga4
+ Revision: 432154
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 0.320.0-4.mga3
+ Revision: 405548
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.320.0-3.mga3
+ Revision: 373001
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.320.0-2.mga3
+ Revision: 315580
- perl 5.16.2 rebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.320.0-1.mga3
+ Revision: 297948
- update to 0.32

* Wed May 30 2012 jquelin <jquelin> 0.290.0-3.mga3
+ Revision: 251187
- rebuild for perl 5.16

* Fri Nov 04 2011 jquelin <jquelin> 0.290.0-2.mga2
+ Revision: 162842
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 0.290.0-1.mga2
+ Revision: 112081
- update to 0.29

* Sun Jun 12 2011 sander85 <sander85> 0.280.0-2.mga2
+ Revision: 105005
- Rebuild for perl 5.14

* Mon Apr 18 2011 kharec <kharec> 0.280.0-1.mga1
+ Revision: 87750
- new version

* Sat Jan 22 2011 jquelin <jquelin> 0.270.0-3.mga1
+ Revision: 31221
- mageia rebuild
- imported package perl-Sys-Syslog

